#version 330

uniform mat4 lightVPMatrix;
uniform mat4 modelMatrix;

layout (location = 0) in vec3 vertPosition;
layout (location = 1) in vec3 vertNormal;
layout (location = 2) in vec2 vertTexCoord;

out vec2 fragTexCoord;

void main()
{
    gl_Position = lightVPMatrix * modelMatrix * vec4(vertPosition, 1.0);
    //fragTexCoord = vertTexCoord;
}