#version 330

uniform sampler2D textTexture;
uniform vec3 textColor;

in vec2 fragTexCoords;

out vec4 color;

void main()
{    
   if(texture(textTexture, fragTexCoords).r < 0.5f)
		discard;
    color = vec4(textColor, 1.0);
}
