#version 330

smooth in vec4 position;
smooth in vec4 prevPosition;



out vec4 finalVelocity;



void main() {
	const float velocityPower = 3.0;
	
	vec2 a = (position.xy / position.w) * 0.5 + 0.5;
	vec2 b = (prevPosition.xy / prevPosition.w) * 0.5 + 0.5;
	vec2 velocity = a - b;
	
	
	vec2 adjustedVelocity = velocity * 0.5 + 0.5;
	
	
	adjustedVelocity = vec2(pow(adjustedVelocity.x, velocityPower), pow(adjustedVelocity.y, velocityPower));

	
	finalVelocity = vec4(adjustedVelocity,0.0,1.0);
	

}





